Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tunnelCredentials.updateBridge({
id: "<id>",
});
console.log(result);
}
run();curl --request PATCH \
--url https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>",
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges/{id}"
payload = {
"description": "<string>",
"displayName": "<string>",
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', displayName: '<string>', updateMask: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bridge": {
"appliance": {
"announcedServiceCount": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"links": [
{
"avgRtt": "<string>",
"leaseExpiresAt": "2023-11-07T05:31:56Z",
"relayAddress": "<string>",
"relayId": "<string>"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Tunnel
Update Bridge
UpdateBridge patches a bridge’s editable metadata (display_name, description). Credentials are not affected.
PATCH
/
api
/
v1
/
iam
/
tunnel
/
bridges
/
{id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tunnelCredentials.updateBridge({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Body
application/json
The TunnelCredentialsServiceUpdateBridgeRequest message.
Response
200 - application/json
Successful response
The TunnelCredentialsServiceUpdateBridgeResponse message.
TunnelBridge is the API view of a bridge — the customer-facing entity for managing a wormhole tunnel appliance.
Show child attributes
Show child attributes
Was this page helpful?
⌘I